# NoisyPolygonBase | SDF-2D - v0.5.3
Documentation for SDF-2D - v0.5.3

### Hierarchy

- PolygonBase
  - NoisyPolygonBase

## Index

### Constructors

- constructor

### Properties

- randomOffset
- vertices
- descriptor

### Methods

- getObjectToSerialize
- minDistance

## Constructors

### constructor

- new NoisyPolygonBase(vertices: Array<vec2>): NoisyPolygonBase

- Inherited from PolygonBase.constructor

  - Defined in drawables/shapes/polygon-factory.ts:11

  #### Parameters

  - ##### vertices: Array<vec2>

  #### Returns NoisyPolygonBase

## Properties

### randomOffset

randomOffset: number

- Defined in drawables/shapes/noisy-polygon-factory.ts:8

### vertices

vertices: Array<vec2>

- Defined in drawables/shapes/polygon-factory.ts:12

### Static Readonly descriptor

descriptor: DrawableDescriptor

Inherited from EmptyDrawable.descriptor

Overrides Drawable.descriptor

- Defined in drawables/empty-drawable.ts:9

## Methods

### Protected getObjectToSerialize

- getObjectToSerialize(transform2d: mat2d, transform1d: number): any

- Inherited from EmptyDrawable.getObjectToSerialize

  Overrides Drawable.getObjectToSerialize

  - Defined in drawables/empty-drawable.ts:15

  #### Parameters

  - ##### transform2d: mat2d

  - ##### transform1d: number

  #### Returns any

### minDistance

- minDistance(target: vec2): number

- Inherited from EmptyDrawable.minDistance

  Overrides Drawable.minDistance

  - Defined in drawables/empty-drawable.ts:11

  #### Parameters

  - ##### target: vec2

  #### Returns number